Foreman - Refactor #6504

Host unit tests regarding taxonomies
07/07/2014 06:29 AM - Daniel Lobato Garcia

Status: Closed
Priority: Low
Assignee: Liza Gilman
Category: Tests
Target version: 1.18.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5264
Description

A lot of tests starting here: https:/github.com/theforeman/foreman/blob/develop/test/unit/host_test.rb#L720 seem to share many
characteristics, they all create a taxonomy, a host, assign it to that host, check it's able to save the association.

Associated revisions

Revision 3eba98d7 - 03/12/2018 08:39 AM - Liza Gilman

Fixes #6504 - refactoring host tests regarding taxonomies

History

#1 - 01/23/2018 02:42 PM - Walden Raines

- Assignee set to Liza Gilman

#2 - 01/23/2018 02:42 PM - Walden Raines

- Target version set to 243

#3 - 02/13/2018 02:08 PM - Walden Raines
- Target version changed from 243 to 248

#4 - 02/20/2018 03:54 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5264 added

#5 - 02/22/2018 09:54 AM - The Foreman Bot
- Status changed from New to Ready For Testing

#6 - 03/06/2018 01:47 PM - Walden Raines
- Target version changed from 248 to 250

#7 - 03/12/2018 08:39 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#8 - 03/12/2018 05:32 PM - Liza Gilman
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3eba98d7c¢1453dd2232d9ebb2eaef87dc63c70d1.

05/18/2024 1/1



https://github.com/theforeman/foreman/blob/develop/test/unit/host_test.rb#L720
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3eba98d7c1453dd2232d9ebb2eaef87dc63c70d1
http://www.tcpdf.org

